@echo off
echo CLEARCONTEXT PRO COMPLETE REMOVAL
echo This five step process will completely remove ClearContext
echo in the event that the installer has
echo become corrupted.
echo Please ensure that Outlook is closed.
pause

echo ---
echo (1/5) AUTOASSIGN BACKUP
echo This will backup your ClearContext rules
echo in the file C:\temp\cc-autoassign.reg
pause
md c:\temp
reg export hkcu\software\ClearContext\ClearMail\AnalyzeJobs c:\temp\cc-autoassign.reg
echo Run cc-autoassign.reg on another machine to transfer your AutoAssign settings.
pause

echo ---
echo (2/5) USER DATABASE BACKUP (STATS, TOPIC SUGGESTIONS)
echo This will backup your ClearContext User Database
echo in the file C:\temp\cc_user.db
pause
copy "%USERPROFILE%\AppData\Local\ClearContext\ClearContext Information Management System\cc_user.db" C:\temp\cc_user.db
copy "%USERPROFILE%\Local Settings\Application Data\ClearContext\ClearContext Information Management System\cc_user.db" C:\temp\cc_user.db
echo If you see "1 file(s) copied" at least once above,
echo the operation was successful
echo After reinstall, copy C:\temp\cc_user.db to your ClearContext local settings
echo directory (directions below)
pause

echo ---
echo (3/5) UNINSTALL CLEARCONTEXT via WINDOWS
echo Attempt to uninstall ClearContext via Control Panel -
echo Add-Remove Programs (XP) or Programs (Win8/Win7/Vista)
echo Please remove before continuing.
pause

echo ---
echo (4/5) REMOVE REGISTRY ENTRIES
echo This will clear all known ClearContext registry entries
echo You may be asked to grant permission for regedit
echo to make its changes.
pause
remove_ims.reg
pause

echo ---
echo (5/5) DELETE CLEARCONTEXT INSTALL DIRECTORIES
echo We will now attempt to delete ClearContext install directories
pause
rd "%PROGRAMFILES%\ClearContext" /s
rd "%USERPROFILE%\AppData\Local\ClearContext" /s
rd "%USERPROFILE%\Local Settings\Application Data\ClearContext" /s
echo Removal complete.  
pause

echo ---
echo REMOVAL PROCESS COMPLETE
echo If you would like to reinstall the application,
echo follow these directions:
echo 1. Reboot Windows.
echo 2. Log in under the user rights that you intend to run Outlook under.
echo 3. Do NOT open Outlook.
echo 4. Download and install ClearContext from the ClearContext website.
echo    Do NOT select install as Administrator; run under your normal user name.
echo 3. Once complete, open Outlook.
echo 4. If the application does not start, follow directions here to re-enable:
echo    http://www.clearcontext.com/help/
echo    Please note that there are two places to attempt to re-enable.
echo 5. Once installation is complete, run C:\temp\cc-autoassign.reg to restore
echo    your AutoAssign rules.
echo 6. After you run through setup in Outlook, copy c:\temp\cc_user.db into your
echo	ClearContext Local Settings Directory:
echo	WINXP: "%USERPROFILE%\Local Settings\Application Data\ClearContext\ClearContext Information Management System\"
echo	WIN8/WIN7/VISTA: "%USERPROFILE%\AppData\Local\ClearContext\ClearContext Information Management System\"
echo ---
echo This utility is now complete.
pause

exit